
{% extends 'bases/home.html' %}

{% load static %}

{% block content %}
    <section class="content">
        <div class="content-fluid">
            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header">
                          <h3 class="card-title text-uppercase">Listado de cajeros</h3>
                          <div class="d-flex justify-content-end">
                            <a href="{% url 'app_clientes:cajeros_new' %}">
                              <button class="btn btn-secondary" style="font-size: 14px; font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif; font-weight: 600;">
                                <i class="fas fa-cash-register"></i><span> Agregar cajero</span>
                              </button>
                            </a>
                          </div>
                        </div>
                        <!-- /.card-header -->
                        <div class="card-body">

                          {% if not obj %}
                            <div class="alert alert-info">No hay cajeros registrados</div>           
                          {% else %}

                            <table id="example1" class="table table-bordered table-striped">
                              <thead>
                              <tr class="table-info" style="font-size: small;">
                                <th>ID</th>
                                <th>NOMBRE</th>
                                <th>APELLIDO PATERNO</th>  
                                <th>APELLIDO MATERNO</th>                              
                                <th>TELEFONO</th>
                                <th>CORREO</th>
                                <th>LOCALIDAD</th>
                                <th>ACCIONES</th>
                              </tr>
                              </thead>
                              <tbody>
                                {% for item in obj %}                                  
                                  <tr class="text-secondary" style="font-size: small; font-family: Nunito, system-ui, -apple-system, BlinkMacSystemFont">                                                                    
                                      <td>{{ item.id }}</td>
                                      <td>{{ item.nombres }}</td>
                                      
                                      {% if item.ap_paterno %}
                                        <td>{{ item.ap_paterno }}</td>
                                      {% else %}
                                        <td></td>
                                      {% endif %}
                                        
                                      {% if item.ap_materno %}
                                        <td>{{ item.ap_materno }}</td> 
                                      {% else %}
                                        <td></td>
                                      {% endif %}

                                      {% if item.telefono %}
                                        <td>{{ item.telefono }}</td> 
                                      {% else %}
                                        <td></td>
                                      {% endif %}

                                      {% if item.correo %}
                                        <td>{{ item.correo }}</td> 
                                      {% else %}
                                        <td></td>
                                      {% endif %}
                                                                                                           
                                      <td>{{ item.localidad }}</td>
                                      <td>
                                        <a href="{% url 'app_clientes:cajeros_edit' item.id %}"><button class="btn btn-primary bg-warning btn-outline-light btn-sm" ><i class="fa fa-edit"></i></button></a>
                                        <a href="{% url 'app_clientes:cajeros_delete' item.id %}"><button class="btn btn-primary bg-danger btn-outline-light btn-sm"><i class="fa fa-trash-alt"></i></button></a>
                                      </td>                                                                      
                                  </tr>
                                  {% endfor %}                              
                              
                              </tbody>                            
                            </table>
                            <!-- /.table -->
                            {% endif %}
                        </div>
                        <!-- /.card-body -->
                      </div>
                      <!-- /.card -->
                    </div>
                    <!-- /.col -->
                </div>
            </div>
        </div>
    </section>
{% endblock content %}


    
    